|Home | Tutorial | Classes | Functions | QSA Workbench | Language | Qt API | QSA Articles | Qt Script for Applications |

# QSInputDialogFactory Class Reference

The QSInputDialogFactory class extends QSA with a basic and easy-to-use input dialog framework. More...

`#include <qsinputdialogfactory.h>`

Inherits QSObjectFactory.

List of all member functions.

## Public Members

- QSInputDialogFactory ()

## Detailed Description

The QSInputDialogFactory class extends QSA with a basic and easy-to-use input dialog framework.

To extend the interpreter with the Input Dialog Framework you need to create an instance of the QSInputDialogFactory and add it to the interpreter using the function QSInterpreter::addObjectFactory(). For example:

      QSProject proj;
      QSInterpreter *ip = proj->interpreter();
      ip->addObjectFactory( new QSInputDialogFactory );

The script extensions provided by the QSInputDialogFramework are described in detail in Input Dialog Framework

Note on threading; If the Input Dialog Factory is used with an interpreter running in the non GUI thread, all functionallity is disabled.

## Member Function Documentation

### QSInputDialogFactory::QSInputDialogFactory ()

Creates the input dialog factory. Use the function QSInterpreter::addObjectFactory to make the objects this factory represents to an interpreter.

This file is part of Qt Script for Applications, copyright © 2001-2004 Trolltech. All Rights Reserved.